<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Presupuesto extends Model
{
    protected $table = "presupuesto";
    protected $fillable = ['total_autorizado', 'ejercido', 'departamento_id', 'accion_id', 'anio_id'];
    protected $with = ['detalles', 'departamento'];

    public function detalles(){
    	return $this->hasMany('App\PresupuestoDetalle', 'presupuesto_id');
		}

	public function restringidas(){
    	return $this->hasMany('App\PresupuestoDetalleRestringida', 'presupuesto_id');
	}

	public function restringidas_group(){
    	return $this->hasMany('App\PresupuestoDetalleRestringida', 'presupuesto_id')->groupBy('partida_id');
	}

		public function departamento(){
			return $this->belongsTo('App\Departamento');
		}

		public function accion(){
			return $this->belongsTo('App\Accion');
		}
}
